Page MenuHomePhabricator

remotefilelog: change the name of logging category
ClosedPublic

Authored by stash on Sep 28 2017, 12:37 PM.

Details

Reviewers
quark
Group Reviewers
Restricted Project
Commits
rFBHGX12a5b29086f8: remotefilelog: change the name of logging category
Summary

The goal of the whole series is to have logging around linknode fixup. It's a slow operation, and we have two heuristics to make it faster. Unfortunately we have no idea about how well these heuristics actually help. This series of diffs aims to fix this problem. After this series is landed and logging is enabled, I hope that we can find out if we really these heuristics at all.

Let's change the name of the logging category. In the next diffs I'll add more
logging, not only related to fastlog, so current name may be misleading.

Test Plan

Run test-remotefilelog-linknodes.t

Diff Detail

Repository
rFBHGX Facebook Mercurial Extensions
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

stash created this revision.Sep 28 2017, 12:37 PM
stash edited the summary of this revision. (Show Details)Sep 28 2017, 1:09 PM
quark accepted this revision.Sep 29 2017, 8:45 PM
This revision is now accepted and ready to land.Sep 29 2017, 8:45 PM
quark added a comment.Sep 29 2017, 8:46 PM

PS: It's easier to send a stack using phabsend (https://www.mercurial-scm.org/wiki/Phabricator). Downside is you need to take care of tests manually.

stash added a comment.Sep 30 2017, 2:35 PM

@quark , thanks for the pointer!

This revision was automatically updated to reflect the committed changes.